I've uploaded magnum 4.1.3 to the zesty queue for SRU team review; once
accepted into zesty, this version will auto-backport to the Ocata UCA as
well.

** Description changed:

- There is an upstream bug fix
- https://bugs.launchpad.net/magnum/+bug/1689797 that is in the current
- UCA packages 4.1.0-0ubuntu1~cloud0 This seems to be fixed in
- openstack/magnum 4.1.3 release.
+ [Impact]
+ The version of Magnum on Zesty is the original 4.1.0 release for Ocata; the 
project have pushed out three patch releases since then resolving a number of 
issues:
+ 
+ 4.1.3
+ -----
+ 
+ * Add Kubernetes API Service IP to x509 certificates
+ * Use lowercase keys for swarm waitcondition signal
+ * Pass a mutable target to oslo policy enforcer
+ 
+ 4.1.2
+ -----
+ 
+ * Remove reliance on osprofiler configuration section
+ * Fix rexray systemd unit
+ * Enable custom keystone endpoint_type in templates
+ * Use 'virt_type=kvm' in devstack vm if supported
+ * Fix keystone auth_uri and auth_url
+ * Pass 'client', 'message' param to AuthorizationFailure Exception
+ * Fix usage of the trustee user in K8S Cinder plugin
+ * Set clustertemplate:publish to admin only
+ * Add net creating in install-guide
+ * Fix config type of copy_logs from string to Boolean
+ 
+ 4.1.1
+ -----
+ 
+ * Pass 'context' to create_client_files method
+ * Pin images for ocata
+ * Missing root-ca-file parameter for proper service account support
+ * Fix CVE-2016-7404
+ 
+ [Test Case]
+ Deploy magnum; validate for any regressions (original bug reported to own 
this task).
+ 
+ [Regression Potential]
+ Minimal; OpenStack projects have a good track record of not introducing 
regressions as part of minor patch releases so this should be low risk.
+ 
+ [Original Bug Report]
+ There is an upstream bug fix https://bugs.launchpad.net/magnum/+bug/1689797 
that is in the current UCA packages 4.1.0-0ubuntu1~cloud0 This seems to be 
fixed in openstack/magnum 4.1.3 release.
  
  How is it possible to get the UCA package updated?

** Summary changed:

- UCA magnum packages require updating 
+ [SRU] magnum 4.1.3

** Changed in: magnum (Ubuntu Artful)
       Status: Triaged => Fix Released

** Description changed:

  [Impact]
  The version of Magnum on Zesty is the original 4.1.0 release for Ocata; the 
project have pushed out three patch releases since then resolving a number of 
issues:
  
  4.1.3
  -----
  
  * Add Kubernetes API Service IP to x509 certificates
  * Use lowercase keys for swarm waitcondition signal
  * Pass a mutable target to oslo policy enforcer
  
  4.1.2
  -----
  
  * Remove reliance on osprofiler configuration section
  * Fix rexray systemd unit
  * Enable custom keystone endpoint_type in templates
- * Use 'virt_type=kvm' in devstack vm if supported
  * Fix keystone auth_uri and auth_url
  * Pass 'client', 'message' param to AuthorizationFailure Exception
  * Fix usage of the trustee user in K8S Cinder plugin
  * Set clustertemplate:publish to admin only
  * Add net creating in install-guide
  * Fix config type of copy_logs from string to Boolean
  
  4.1.1
  -----
  
  * Pass 'context' to create_client_files method
  * Pin images for ocata
  * Missing root-ca-file parameter for proper service account support
  * Fix CVE-2016-7404
  
  [Test Case]
  Deploy magnum; validate for any regressions (original bug reported to own 
this task).
  
  [Regression Potential]
  Minimal; OpenStack projects have a good track record of not introducing 
regressions as part of minor patch releases so this should be low risk.
  
  [Original Bug Report]
  There is an upstream bug fix https://bugs.launchpad.net/magnum/+bug/1689797 
that is in the current UCA packages 4.1.0-0ubuntu1~cloud0 This seems to be 
fixed in openstack/magnum 4.1.3 release.
  
  How is it possible to get the UCA package updated?

** Description changed:

  [Impact]
  The version of Magnum on Zesty is the original 4.1.0 release for Ocata; the 
project have pushed out three patch releases since then resolving a number of 
issues:
  
  4.1.3
  -----
  
  * Add Kubernetes API Service IP to x509 certificates
  * Use lowercase keys for swarm waitcondition signal
  * Pass a mutable target to oslo policy enforcer
  
  4.1.2
  -----
  
  * Remove reliance on osprofiler configuration section
  * Fix rexray systemd unit
  * Enable custom keystone endpoint_type in templates
  * Fix keystone auth_uri and auth_url
  * Pass 'client', 'message' param to AuthorizationFailure Exception
  * Fix usage of the trustee user in K8S Cinder plugin
  * Set clustertemplate:publish to admin only
  * Add net creating in install-guide
  * Fix config type of copy_logs from string to Boolean
  
  4.1.1
  -----
  
  * Pass 'context' to create_client_files method
  * Pin images for ocata
  * Missing root-ca-file parameter for proper service account support
  * Fix CVE-2016-7404
  
  [Test Case]
- Deploy magnum; validate for any regressions (original bug reported to own 
this task).
+ Deploy magnum; validate for any regressions - original bug reporter to own 
this task as magnum deployment and testing is not covered by Ubuntu OpenStack 
CI at this point in time.
  
  [Regression Potential]
  Minimal; OpenStack projects have a good track record of not introducing 
regressions as part of minor patch releases so this should be low risk.
  
  [Original Bug Report]
  There is an upstream bug fix https://bugs.launchpad.net/magnum/+bug/1689797 
that is in the current UCA packages 4.1.0-0ubuntu1~cloud0 This seems to be 
fixed in openstack/magnum 4.1.3 release.
  
  How is it possible to get the UCA package updated?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1706318

Title:
  [SRU] magnum 4.1.3

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-archive/+bug/1706318/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to